package com.palmnest.application.dto.output;

import java.io.Serializable;
import java.util.List;

public class OrderDinnerOutPutDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 6718205569361600905L;
	
	private Long id;
	private String number;//订单id
	private String status;//状态
	private String createTime;//创建时间
	private String consId;//下单人
	private String userName;//下单人姓名
	private String dept;//部门
	private String mobile;//电话
	private String address;//送餐地址
	private List<OrderDinnerInfoDto> orderInfoList;//订单详情
	private String orderInfoStr;//订单详情
	private int sumCount;//总份数
	private int meetCount;//会议餐份数
	private int sumIntegral;//总积分
	private String comment; //评语
	private int star;//星级
	private String evaluateImages;//评价图片
	private String dinnerTime;
	private int isCancel;
	private int isTempOrder;//是否临时工作餐
	private String remark;//备注
	public Long getId() {
		return id;
	}
	public void setId(Long id) {
		this.id = id;
	}
	public String getNumber() {
		return number;
	}
	public void setNumber(String number) {
		this.number = number;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getConsId() {
		return consId;
	}
	public void setConsId(String consId) {
		this.consId = consId;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getDept() {
		return dept;
	}
	public void setDept(String dept) {
		this.dept = dept;
	}
	public String getMobile() {
		return mobile;
	}
	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public List<OrderDinnerInfoDto> getOrderInfoList() {
		return orderInfoList;
	}
	public void setOrderInfoList(List<OrderDinnerInfoDto> orderInfoList) {
		this.orderInfoList = orderInfoList;
	}
	public int getSumCount() {
		return sumCount;
	}
	public void setSumCount(int sumCount) {
		this.sumCount = sumCount;
	}
	public String getComment() {
		return comment;
	}
	public void setComment(String comment) {
		this.comment = comment;
	}
	public int getStar() {
		return star;
	}
	public void setStar(int star) {
		this.star = star;
	}
	public String getEvaluateImages() {
		return evaluateImages;
	}
	public void setEvaluateImages(String evaluateImages) {
		this.evaluateImages = evaluateImages;
	}
	public String getOrderInfoStr() {
		return orderInfoStr;
	}
	public void setOrderInfoStr(String orderInfoStr) {
		this.orderInfoStr = orderInfoStr;
	}
	public String getDinnerTime() {
		return dinnerTime;
	}
	public void setDinnerTime(String dinnerTime) {
		this.dinnerTime = dinnerTime;
	}
	
	public int getMeetCount() {
		return meetCount;
	}
	public void setMeetCount(int meetCount) {
		this.meetCount = meetCount;
	}
	public int getSumIntegral() {
		return sumIntegral;
	}
	public void setSumIntegral(int sumIntegral) {
		this.sumIntegral = sumIntegral;
	}
	public int getIsCancel() {
		return isCancel;
	}
	public void setIsCancel(int isCancel) {
		this.isCancel = isCancel;
	}
	public int getIsTempOrder() {
		return isTempOrder;
	}
	public void setIsTempOrder(int isTempOrder) {
		this.isTempOrder = isTempOrder;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
   
}
